<?php

namespace App\Entity;

use App\Repository\GitImageRepositoryRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: GitImageRepositoryRepository::class)]
class GitImageRepository extends AbstractEntity
{
    use NameableTrait;

    #[ORM\ManyToOne(inversedBy: 'gitImageRepositories')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Image $image = null;

    #[ORM\ManyToOne(inversedBy: 'gitImageRepositories')]
    private ?ImageRepository $imageRepository = null;

    #[ORM\Column(length: 255)]
    private ?string $status = null;

    #[ORM\Column(length: 255)]
    private ?string $branch = null;

    #[ORM\Column]
    private ?bool $created = null;


    public function getImage(): ?Image
    {
        return $this->image;
    }

    public function setImage(?Image $image): static
    {
        $this->image = $image;

        return $this;
    }

    public function getStatus(): ?string
    {
        return $this->status;
    }

    public function setStatus(string $status): static
    {
        $this->status = $status;

        return $this;
    }

    public function getBranch(): ?string
    {
        return $this->branch;
    }

    public function setBranch(string $branch): static
    {
        $this->branch = $branch;

        return $this;
    }

    public function isCreated(): ?bool
    {
        return $this->created;
    }

    public function setCreated(bool $created): static
    {
        $this->created = $created;

        return $this;
    }

    public function getImageRepository(): ?ImageRepository
    {
        return $this->imageRepository;
    }

    public function setImageRepository(?ImageRepository $imageRepository): static
    {
        $this->imageRepository = $imageRepository;

        return $this;
    }
}
